Last Comment Bug 720291 - Intermittent browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 5, 5) (or 6, 6), expected rgb(255, 0, 0)
: Intermittent browser_styleeditor_new.js | content's background color has been...
Status: RESOLVED FIXED
[styleeditor]
: intermittent-failure
Product: Firefox
Classification: Client Software
Component: Developer Tools: Style Editor (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 12
Assigned To: Cedric Vivier [:cedricv]
:
: Gabriel Luong [:gl][1 biz day review guarantee] (ΦωΦ)
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2012-01-22 19:23 PST by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1 (3.73 KB, patch)
2012-01-25 08:22 PST, Cedric Vivier [:cedricv]
no flags Details | Diff | Splinter Review
patch v1.1 (4.11 KB, patch)
2012-01-26 01:53 PST, Cedric Vivier [:cedricv]
dcamp: review+
Details | Diff | Splinter Review

Description Phil Ringnalda (:philor) 2012-01-22 19:23:19 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=8748453&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-01-22 18:53:26 PST for push 2f9840b376a6

TEST-PASS | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | new editor shows 1 rule after modification
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 5, 5), expected rgb(255, 0, 0)
Stack trace:
    JS frame :: chrome://mochikit/content/browser-test.js :: test_is :: line 402
    JS frame :: chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js :: <TOP_LEVEL> :: line 110
    JS frame :: resource:///modules/devtools/StyleEditor.jsm :: SE__triggerAction :: line 913
    JS frame :: resource:///modules/devtools/StyleEditor.jsm :: SE__onTransitionEnd :: line 712
    native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0

TEST-PASS | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | StyleEditor's transition class has been removed from content
Comment 1 Treeherder Robot 2012-01-22 19:28:12 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8724749&tree=Profiling
Rev3 MacOSX Leopard 10.5.8 profiling opt test mochitest-other on 2012-01-21 10:41:46

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 6, 6), expected rgb(255, 0, 0)
Comment 2 Phil Ringnalda (:philor) 2012-01-22 19:29:35 PST
That second one was when profiling merged the push in https://tbpl.mozilla.org/?rev=d43360499b86 if anything in there grabs your eye.
Comment 3 Treeherder Robot 2012-01-23 05:47:45 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=8755027&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitest-other on 2012-01-23 04:48:57

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 9, 9), expected rgb(255, 0, 0)
Comment 4 Treeherder Robot 2012-01-23 07:41:24 PST
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=8757587&tree=Fx-Team
Rev3 WINNT 6.1 fx-team opt test mochitest-other on 2012-01-23 06:56:43

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 31, 31), expected rgb(255, 0, 0)
Comment 5 Treeherder Robot 2012-01-23 08:42:06 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=8758642&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitest-other on 2012-01-23 07:51:09

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 9, 9), expected rgb(255, 0, 0)
Comment 6 Treeherder Robot 2012-01-23 16:21:29 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8769653&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitest-other on 2012-01-23 15:07:12

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 25, 25), expected rgb(255, 0, 0)
Comment 7 Treeherder Robot 2012-01-23 16:40:15 PST
jwalden
https://tbpl.mozilla.org/php/getParsedLog.php?id=8769183&tree=Try
Rev3 WINNT 5.1 try opt test mochitest-other on 2012-01-23 14:48:14

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 6, 6), expected rgb(255, 0, 0)
Comment 8 Treeherder Robot 2012-01-23 21:00:54 PST
gavin
https://tbpl.mozilla.org/php/getParsedLog.php?id=8775348&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try opt test mochitest-other on 2012-01-23 18:46:07

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 10, 10), expected rgb(255, 0, 0)
Comment 9 Treeherder Robot 2012-01-23 21:16:22 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8777494&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound opt test mochitest-other on 2012-01-23 20:14:47

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 4, 4), expected rgb(255, 0, 0)
Comment 10 Dave Camp (:dcamp) 2012-01-24 00:31:13 PST
Cedric, is this fallout from the transitions landing?
Comment 11 Cedric Vivier [:cedricv] 2012-01-24 01:56:01 PST
(In reply to Dave Camp (:dcamp) from comment #10)
> Cedric, is this fallout from the transitions landing?

Yes it definitely is, I'm looking at it.
The 10% buffer over the transition duration to clean up the transition and "commit" the change might not be enough on our very busy/saturated try servers.
Will try to find a better way other than arbitrarily increasing the timer.
Comment 12 Treeherder Robot 2012-01-24 05:07:39 PST
bjarne
https://tbpl.mozilla.org/php/getParsedLog.php?id=8757085&tree=Try
Rev3 Fedora 12 try opt test mochitest-other on 2012-01-23 06:48:01

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 24, 24), expected rgb(255, 0, 0)
Comment 13 Treeherder Robot 2012-01-25 07:59:07 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=8818345&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test mochitest-other on 2012-01-25 07:16:14

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 5, 5), expected rgb(255, 0, 0)
Comment 14 Cedric Vivier [:cedricv] 2012-01-25 08:22:23 PST
Created attachment 591474 [details] [diff] [review]
patch v1
Comment 15 Cedric Vivier [:cedricv] 2012-01-26 01:53:03 PST
Created attachment 591723 [details] [diff] [review]
patch v1.1
Comment 16 Treeherder Robot 2012-01-26 06:41:22 PST
jwatt
https://tbpl.mozilla.org/php/getParsedLog.php?id=8849066&tree=Try
Rev3 Fedora 12 try debug test mochitest-other on 2012-01-26 04:56:46

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 27, 27), expected rgb(255, 0, 0)
Comment 17 Treeherder Robot 2012-01-26 08:46:21 PST
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=8850677&tree=Firefox
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2012-01-26 06:36:54

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 24, 24), expected rgb(255, 0, 0)
Comment 18 Treeherder Robot 2012-01-26 09:53:49 PST
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=8851606&tree=UX
Rev3 MacOSX Leopard 10.5.8 ux opt test mochitest-other on 2012-01-26 07:26:09

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 3, 3), expected rgb(255, 0, 0)
Comment 19 Treeherder Robot 2012-01-26 12:11:30 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8849780&tree=Profiling
Rev3 WINNT 5.1 profiling debug test mochitest-other on 2012-01-26 05:29:46

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 37, 37), expected rgb(255, 0, 0)
Comment 20 Treeherder Robot 2012-01-26 13:15:40 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8851053&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test mochitest-other on 2012-01-26 06:55:09

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 19, 19), expected rgb(255, 0, 0)
Comment 21 Treeherder Robot 2012-01-26 18:30:33 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8866282&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test mochitest-other on 2012-01-26 17:19:06

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 18, 18), expected rgb(255, 0, 0)
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/browser/browser_bug670318.js | Test timed out
Comment 22 Treeherder Robot 2012-01-27 07:19:10 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8879065&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test mochitest-other on 2012-01-27 05:51:58

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 10, 10), expected rgb(255, 0, 0)
Comment 23 Treeherder Robot 2012-01-27 07:49:44 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8880309&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-01-27 06:22:50

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 2, 2), expected rgb(255, 0, 0)
Comment 24 Treeherder Robot 2012-01-27 19:28:06 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8896816&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2012-01-27 18:20:07

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 28, 28), expected rgb(255, 0, 0)
Comment 25 Treeherder Robot 2012-01-28 08:01:53 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8902426&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2012-01-28 02:34:49

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 5, 5), expected rgb(255, 0, 0)
Comment 27 Treeherder Robot 2012-01-30 12:14:03 PST
sgautherie
https://tbpl.mozilla.org/php/getParsedLog.php?id=8945382&tree=Firefox
Rev3 MacOSX Leopard 10.5.8 mozilla-central opt test mochitest-other on 2012-01-30 11:17:12

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/styleeditor/test/browser_styleeditor_new.js | content's background color has been updated to red - Got rgb(255, 1, 1), expected rgb(255, 0, 0)
Comment 28 Tim Taubert [:ttaubert] 2012-01-31 01:25:19 PST
https://hg.mozilla.org/mozilla-central/rev/d42fcb70cb22

Note You need to log in before you can comment on or make changes to this bug.